投影或者发光滤镜

class

  ShadowFilter

since

  1.0.0

### Hierarchy

- ShadowFilter

## Index

### Constructors

- constructor

### Properties

- blur
- color
- offsetX
- offsetY
- type

### Methods

- destroy
- drawFilter
- toString

## Constructors

### constructor

- new ShadowFilter(color?: string, offsetX?: number, offsetY?: number, blur?: number): ShadowFilter

- - Defined in filter/Filters.ts:57
  method

    ShadowFilter

  #### Parameters

  - ##### Default value color: string = "black"

  - ##### Default value offsetX: number = 2

  - ##### Default value offsetY: number = 2

  - ##### Default value blur: number = 2

  #### Returns ShadowFilter

## Properties

### blur

blur: number = 2

- Defined in filter/Filters.ts:47

模糊值

property

  blur

readonly
since

  1.0.0

default

  2

type

  {number}

### color

color: string = "black"

- Defined in filter/Filters.ts:17

颜色值

property

  color

readonly
since

  1.0.0

default

  black

type

  {string}

### offsetX

offsetX: number = 2

- Defined in filter/Filters.ts:27

x方向投影距离

property

  offsetX

readonly
since

  1.0.0

default

  2

type

  {number}

### offsetY

offsetY: number = 2

- Defined in filter/Filters.ts:37

y方向投影距离

property

  offsetY

readonly
since

  1.0.0

default

  2

type

  {number}

### type

type: string = "Shadow"

- Defined in filter/Filters.ts:57

滤镜类型 只读

property

  color

readonly
since

  1.0.0

default

  Shadow

type

  {string}

## Methods

### destroy

- destroy(): void

- - Defined in filter/Filters.ts:94

  #### Returns void

### drawFilter

- drawFilter(imageData?: ImageData): void

- - Defined in filter/Filters.ts:90

  绘画滤镜效果

  method

    drawFilter

  since

    1.0.0

  #### Parameters

  - ##### Default value imageData: ImageData = null

  #### Returns void

### toString

- toString(): string

- - Defined in filter/Filters.ts:79

  获取滤镜的字符串表现形式以方便比较两个滤镜是否效果一样

  method

    toString

  since

    1.0.0

  #### Returns string

Generated using TypeDoc